locals {
  var_enable_endpoints_parsed = [for endpoint in var.enable_endpoints : replace(replace(lower(endpoint), "-", ""), ".", "")]
  var_endpoint_setup          = [for endpoint in local.endpoints_formal_names : endpoint if contains(local.var_enable_endpoints_parsed, replace(replace(lower(endpoint), "-", ""), ".", ""))]

  endpoints_formal_names = [
    "s3",
    "codebuild",
    "codecommit",
    "git-codecommit",
    "config",
    "sqs",
    "lambda",
    "secretsmanager",
    "ssm",
    "ssmmessages",
    "ec2",
    "ec2messages",
    "autoscaling",
    "transfer.server",
    "ecr.api",
    "ecr.dkr",
    "execute-api",
    "kms",
    "ecs",
    "ecs-agent",
    "ecs-telemetry",
    "sns",
    "monitoring",
    "logs",
    "events",
    "elasticloadbalancing",
    "cloudtrail",
    "kinesis-streams",
    "kinesis-firehose",
    "glue",
    "notebook",
    "sts",
    "cloudformation",
    "codepipeline",
    "appmesh-envoy-management",
    "servicecatalog",
    "storagegateway",
    "transfer",
    "sagemaker.api",
    "sagemaker.runtime",
    "appstream.api",
    "appstream.streaming",
    "athena",
    "rekognition",
    "elasticfilesystem",
    "clouddirectory",
    "autoscaling-plans",
    "workspaces",
    "access-analyzer",
    "ebs",
    "datasync",
    "elastic-inference.runtime",
    "sms",
    "elasticmapreduce",
    "qldb.session",
    "states",
    "elasticbeanstalk",
    "elasticbeanstalk-health",
    "acm-pca",
    "email-smtp",
    "rds",
    "codedeploy",
    "codedeploy-commands-secure",
    "textract",
    "codeartifact.api",
    "codeartifact.repositories"
  ]
}
